org.keycloak.services.managers

## Class ResourceAdminManager

- java.lang.Object
- - org.keycloak.services.managers.ResourceAdminManager

-     public class ResourceAdminManager
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdminManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor` | `createExecutor()`
    `static String` | `getManagementUrl(URI requestUri, ApplicationModel application)`
    `GlobalRequestResult` | `logoutAll(URI requestUri, RealmModel realm)`
    `GlobalRequestResult` | `logoutApplication(URI requestUri, RealmModel realm, ApplicationModel resource)`
    `protected GlobalRequestResult` | `logoutApplication(URI requestUri, RealmModel realm, ApplicationModel resource, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor executor, int notBefore)`
    `boolean` | `logoutClientSession(URI requestUri, RealmModel realm, ApplicationModel resource, ClientSessionModel clientSession, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)`
    `protected boolean` | `logoutClientSessions(URI requestUri, RealmModel realm, ApplicationModel resource, List<ClientSessionModel> clientSessions, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)`
    `void` | `logoutUser(URI requestUri, RealmModel realm, UserModel user, KeycloakSession keycloakSession)`
    `void` | `logoutUserFromApplication(URI requestUri, RealmModel realm, ApplicationModel resource, UserModel user, KeycloakSession session)`
    `protected void` | `logoutUserSessions(URI requestUri, RealmModel realm, List<UserSessionModel> userSessions)`
    `GlobalRequestResult` | `pushApplicationRevocationPolicy(URI requestUri, RealmModel realm, ApplicationModel application)`
    `GlobalRequestResult` | `pushRealmRevocationPolicy(URI requestUri, RealmModel realm)`
    `protected GlobalRequestResult` | `pushRevocationPolicy(URI requestUri, RealmModel realm, ApplicationModel resource, int notBefore, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor executor)`
    `static String` | `resolveUri(URI requestUri, String uri)`
    `protected boolean` | `sendLogoutRequest(RealmModel realm, ApplicationModel resource, List<String> adapterSessionIds, List<String> userSessions, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client, int notBefore, String managementUrl)`
    `protected boolean` | `sendPushRevocationPolicyRequest(RealmModel realm, ApplicationModel resource, int notBefore, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client, String managementUrl)`
    `protected boolean` | `sendTestNodeAvailabilityRequest(RealmModel realm, ApplicationModel application, org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client, String managementUrl)`
    `GlobalRequestResult` | `testNodesAvailability(URI requestUri, RealmModel realm, ApplicationModel application)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### ResourceAdminManager

          public ResourceAdminManager()

  - ### Method Detail

    - #### createExecutor

          public static org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor createExecutor()

    - #### resolveUri

          public static String resolveUri(URI requestUri,
                          String uri)

    - #### getManagementUrl

          public static String getManagementUrl(URI requestUri,
                                ApplicationModel application)

    - #### logoutUser

          public void logoutUser(URI requestUri,
                        RealmModel realm,
                        UserModel user,
                        KeycloakSession keycloakSession)

    - #### logoutUserSessions

          protected void logoutUserSessions(URI requestUri,
                                RealmModel realm,
                                List<UserSessionModel> userSessions)

    - #### logoutUserFromApplication

          public void logoutUserFromApplication(URI requestUri,
                                       RealmModel realm,
                                       ApplicationModel resource,
                                       UserModel user,
                                       KeycloakSession session)

    - #### logoutClientSession

          public boolean logoutClientSession(URI requestUri,
                                    RealmModel realm,
                                    ApplicationModel resource,
                                    ClientSessionModel clientSession,
                                    org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)

    - #### logoutClientSessions

          protected boolean logoutClientSessions(URI requestUri,
                                     RealmModel realm,
                                     ApplicationModel resource,
                                     List<ClientSessionModel> clientSessions,
                                     org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client)

    - #### logoutAll

          public GlobalRequestResult logoutAll(URI requestUri,
                                      RealmModel realm)

    - #### logoutApplication

          public GlobalRequestResult logoutApplication(URI requestUri,
                                              RealmModel realm,
                                              ApplicationModel resource)

    - #### logoutApplication

          protected GlobalRequestResult logoutApplication(URI requestUri,
                                              RealmModel realm,
                                              ApplicationModel resource,
                                              org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor executor,
                                              int notBefore)

    - #### sendLogoutRequest

          protected boolean sendLogoutRequest(RealmModel realm,
                                  ApplicationModel resource,
                                  List<String> adapterSessionIds,
                                  List<String> userSessions,
                                  org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client,
                                  int notBefore,
                                  String managementUrl)

    - #### pushRealmRevocationPolicy

          public GlobalRequestResult pushRealmRevocationPolicy(URI requestUri,
                                                      RealmModel realm)

    - #### pushApplicationRevocationPolicy

          public GlobalRequestResult pushApplicationRevocationPolicy(URI requestUri,
                                                            RealmModel realm,
                                                            ApplicationModel application)

    - #### pushRevocationPolicy

          protected GlobalRequestResult pushRevocationPolicy(URI requestUri,
                                                 RealmModel realm,
                                                 ApplicationModel resource,
                                                 int notBefore,
                                                 org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor executor)

    - #### sendPushRevocationPolicyRequest

          protected boolean sendPushRevocationPolicyRequest(RealmModel realm,
                                                ApplicationModel resource,
                                                int notBefore,
                                                org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client,
                                                String managementUrl)

    - #### testNodesAvailability

          public GlobalRequestResult testNodesAvailability(URI requestUri,
                                                  RealmModel realm,
                                                  ApplicationModel application)

    - #### sendTestNodeAvailabilityRequest

          protected boolean sendTestNodeAvailabilityRequest(RealmModel realm,
                                                ApplicationModel application,
                                                org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor client,
                                                String managementUrl)

Copyright © 2015. All rights reserved.